Module javafx.controls
Package javafx.scene.control.skin

# Class SplitMenuButtonSkin

java.lang.Object
javafx.scene.control.SkinBase<SplitMenuButton>
javafx.scene.control.skin.MenuButtonSkinBase<SplitMenuButton>
javafx.scene.control.skin.SplitMenuButtonSkin

All Implemented Interfaces:
  `Skin<SplitMenuButton>`

public class SplitMenuButtonSkin extends MenuButtonSkinBase<SplitMenuButton>
Default skin implementation for the `SplitMenuButton` control.

Since:
  9
See Also:
  - `SplitMenuButton`

## Constructor Summary

Constructors
Constructor
Description
`SplitMenuButtonSkin(SplitMenuButton control)`
Creates a new SplitMenuButtonSkin instance, installing the necessary child nodes into the Control `children` list, as well as the necessary input mappings for handling key, mouse, etc events.

## Method Summary

Modifier and Type
Method
Description
`void`
`dispose()`
Called by a Skinnable when the Skin is replaced on the Skinnable.

### Methods inherited from class javafx.scene.control.skin.MenuButtonSkinBase

`computeMaxHeight, computeMaxWidth, computeMinHeight, computeMinWidth, computePrefHeight, computePrefWidth, layoutChildren`

### Methods inherited from class javafx.scene.control.SkinBase

`computeBaselineOffset, consumeMouseEvents, executeAccessibleAction, getChildren, getClassCssMetaData, getCssMetaData, getNode, getSkinnable, layoutInArea, layoutInArea, layoutInArea, positionInArea, positionInArea, pseudoClassStateChanged, queryAccessibleAttribute, registerChangeListener, snappedBottomInset, snappedLeftInset, snappedRightInset, snappedTopInset, snapPosition, snapPositionX, snapPositionY, snapSize, snapSizeX, snapSizeY, snapSpace, snapSpaceX, snapSpaceY, unregisterChangeListeners`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SplitMenuButtonSkin

public SplitMenuButtonSkin(SplitMenuButton control)
Creates a new SplitMenuButtonSkin instance, installing the necessary child nodes into the Control `children` list, as well as the necessary input mappings for handling key, mouse, etc events.

Parameters:
  `control` - The control that this skin should be installed onto.

## Method Details

### dispose

public void dispose()
Called by a Skinnable when the Skin is replaced on the Skinnable. This method allows a Skin to implement any logic necessary to clean up itself after the Skin is no longer needed. It may be used to release native resources. The methods `Skin.getSkinnable()` and `Skin.getNode()` should return null following a call to dispose. Calling dispose twice has no effect.

Specified by:
  `dispose` in interface `Skin<SplitMenuButton>`
Overrides:
  `dispose` in class `MenuButtonSkinBase<SplitMenuButton>`